### Method

# WebKit InputMethodContext get_input_purpose

since: 2.28

#### Declaration [src]

    WebKitInputPurpose
    webkit_input_method_context_get_input_purpose (
      WebKitInputMethodContext* context
    )

#### Description [src]

Get the value of the `WebKitInputMethodContext:input-purpose` property.

Available since: 2.28

Gets property | `WebKit.InputMethodContext:input-purpose`

#### Return value

Type: `WebKitInputPurpose`

The `WebKitInputPurpose` of the input associated with `context`.